package models

import (
	"time"
)

type CmBidsection struct {
	Id           int       `xorm:"not null pk autoincr comment('自增ID') INT(11)"`
	Name         string    `xorm:"comment('名称') VARCHAR(128)"`
	Status       int       `xorm:"comment('状态') TINYINT(1)"`
	ProjectId    int       `xorm:"comment('项目id') INT(11)"`
	UserId       int       `xorm:"comment('用户id') INT(11)"`
	CreateTime   time.Time `xorm:"comment('创建时间') DATETIME"`
	Category     string    `xorm:"comment('分类属性') VARCHAR(1024)"`
	Type         int       `xorm:"comment('标段类型') TINYINT(2)"`
	LedgerTimes  int       `xorm:"not null default 0 comment('台账审批次数') TINYINT(4)"`
	LedgerStatus int       `xorm:"not null default 1 comment('台账审批状态') TINYINT(4)"`
	MRule        string    `xorm:"VARCHAR(1024)"`
	Times        int       `xorm:"comment('审批次数') TINYINT(4)"`
	CRule        string    `xorm:"comment('变更令-规则') VARCHAR(1024)"`
	CConnector   int       `xorm:"comment('变更令-连接符') TINYINT(4)"`
	CRuleFirst   int       `xorm:"comment('变更令规则第一次出现') TINYINT(1)"`
	MeasureType  string    `xorm:"VARCHAR(11)"`
	SImType      string    `xorm:"comment('期，中间计量，模式') VARCHAR(11)"`
	Cooperation  string    `xorm:"comment('协作人员和功能列表') TEXT"`
	Valuation    int       `xorm:"comment('计价规范') TINYINT(4)"`
	TotalPrice   string    `xorm:"not null default 0.00 comment('0号台账 -- 金额') DECIMAL(12,2)"`
	DealTp       string    `xorm:"not null default 0.00 comment('签约 -- 金额') DECIMAL(12,2)"`
	Uuid         string    `xorm:"comment('更新时间') VARCHAR(64)"`
	Isdelete     int       `xorm:"default 0 comment('1删除') TINYINT(1)"`
}
